name: chronyd # you probably want to 'snapcraft register ’
base: core20 # the base snap is the execution environment for this snap
version: '3.5' # just for humans, typically ‘1.2+git’ or ‘1.3.2’
summary: chronyd snap # 79 char long summary
description: |
  chrony is a versatile implementation of the Network Time Protocol (NTP).
  It can synchronise the system clock with NTP servers, reference clocks
  (e.g. GPS receiver), and manual input using wristwatch and keyboard.
  It can also operate as an NTPv4 (RFC 5905) server and peer to provide
  a time service to other computers in the network.

grade: stable # must be ‘stable’ to release into candidate/stable channels
confinement: strict # use ‘strict’ once you have the right plugs and slots

apps:
  chronyd:
    command: bin/chronyd -f $SNAP_COMMON/etc/chrony/chrony.conf
    daemon: forking
    restart-condition: always
    plugs:
      - network
      - network-bind
      - time-control
      - timeserver-control
      - timezone-control
      - pid-sock

  chronyc:
    command: bin/chronyc
    plugs:
    - network
    - network-bind

plugs:
  pid-sock:
    interface: system-files
    write:
      - /run

parts:
  defaults:
    source: defaults/
    plugin: dump
    override-build: |
      mkdir -p ${SNAPCRAFT_PART_INSTALL}/usr/share/chrony
      install -m 777 -T\
        chrony.conf \
        ${SNAPCRAFT_PART_INSTALL}/usr/share/chrony/chrony.conf
      install -m 777 -T\
        chrony.keys \
        ${SNAPCRAFT_PART_INSTALL}/usr/share/chrony/chrony.keys
  chronyd:
    source: https://download.tuxfamily.org/chrony/chrony-3.5.tar.gz
    plugin: autotools
    source-type: tar
    build-packages: [ asciidoctor ]
    organize:
      usr/local/sbin/chronyd: bin/chronyd
      usr/local/bin/chronyc: bin/chronyc
